Bug 186273 - Display corrupted when hypervisor boots
Display corrupted when hypervisor boots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-03-22 12:14 EST by Robin Green
Modified: 2009-12-14 15:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
XenSource 969 None None None Never

  None (edit)
Description Robin Green 2006-03-22 12:14:26 EST
Description of problem:  
When booting into xen from grub, the display is completely corrupted. 
Workaround is to add console=com1 to the xen command line. 
  
Version-Release number of selected component (if applicable):  
xen-3.0.1-4 
  
How reproducible:  
Always 
 
Steps to Reproduce:  
1. Boot with the default grub options that anaconda puts there, namely: 
root (hd0,0) 
        kernel /xen.gz-2.6.15-1.2054_FC5 
        module /vmlinuz-2.6.15-1.2054_FC5xen0 ro root=/dev/VolGroup00/LogVol01 
rhgb quiet 
        module /initrd-2.6.15-1.2054_FC5xen0.img 
    
Actual results:  
Display corrupted, until rhgb starts, at which point it returns to normal.  
  
Expected results:  
No corruption 
  
Additional info: 
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon 
X300 (PCIE)] (prog-if 00 [VGA]) 
        Subsystem: ATI Technologies Inc Unknown device 0402
Comment 1 Robin Green 2006-08-08 14:40:42 EDT
Bug still present in FC6t2.
Comment 2 Brian Stein 2006-08-08 15:12:40 EDT
Please post the kernel/xen versions installed (or confirm this is a fresh FC6t2
install).  Thanks.
Comment 3 Robin Green 2006-08-09 07:55:36 EDT
This is a fresh FC6t2 install.
Comment 4 Robin Green 2006-11-11 09:24:09 EST
Bug still present in FC6.

Applicable versions:
kernel-xen-2.6.18-1.2798.fc6
xen-3.0.3-0.1.rc3
Comment 5 Nick Pavlica 2006-11-21 19:56:39 EST
I'm also getting video corruption when I boot the XEN kernel in FC6 with all
patches as of 11/21/06.  There is no corruption with the use of the other kernels.

HW Profile:
 -Dell Dimension 4600
 -Radeon 9800
 -512Mb RAM
 -2.4Ghz P4 with HT

Working Kernel:
$ uname -a
Linux localhost.localdomain 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST
2006 i686 i686 i386 GNU/Linux
Comment 6 Nick Pavlica 2006-11-29 12:03:09 EST
I removed the Radeon 9800, and just used the onboard Intel 865G video card, and
the  corruption was fixed.  However, there was a reduction in video performance.
Comment 7 Robin Green 2007-04-18 17:42:28 EDT
Bug still present in F7test3.

Filed upstream.
Comment 8 Red Hat Bugzilla 2007-07-24 19:34:59 EDT
change QA contact
Comment 9 Daniel Berrange 2007-09-24 19:18:48 EDT
This was mis-categoized as a userspace bug, changing to kernel-xen instead. Also
switching to F7 on basis of comment #7.
Comment 10 Russell Doty 2008-04-11 11:44:30 EDT
Can this bug be reproduced in F9? If not, let's close it.
Comment 11 Bug Zapper 2008-05-14 08:00:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 21:12:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.